ASIN(3)

NAME
asin - arc sine function

SYNOPSIS
#include <math.h>

double asin(double x);

DESCRIPTION
The asin() function calculates the arc sine of x; that is the value whose sine is x. If x falls outside the range -1 to 1, asin() fails and errno is set.

RETURN VALUE
The asin() function returns the arc sine in radians and the value is mathematically defined to be between -PI/2 and PI/2 (inclusive).

ERRORS

EDOM
    x is out of range.

CONFORMING TO
SVID 3, POSIX, BSD 4.3, ISO 9899

SEE ALSO
acos(3), atan(3), atan2(3), cos(3), sin(3), tan(3)